//+------------------------------------------------------------------+
//|                                                    Alligator.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Blue

//---- input parameters
extern int       StdDev_period=100;
extern int       Multiplier=1000;
//---- indicator buffers
double ExtBlueBuffer[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

//---- 3 indicator buffers mapping
   SetIndexBuffer(0,ExtBlueBuffer);

//---- drawing settings
   SetIndexStyle(0,DRAW_LINE);

//---- index labels
   SetIndexLabel(0,"StrangeMA");

//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Bill Williams' Alligator                                         |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- main loop
   for(int i=0; i<limit; i++)
     {

      ExtBlueBuffer[i]=iMA(NULL,0,MathRound(iStdDev(NULL,0,StdDev_period,0,MODE_SMA,PRICE_CLOSE,i)*Multiplier),0,MODE_SMA,PRICE_CLOSE,i);

     }
//---- done
   return(0);
  }
//+------------------------------------------------------------------+

